from setuptools import setup, find_packages

setup(
    name='DeeperAI',
    version='1.0.0',
    description='A comprehensive AI library featuring deep learning, reinforcement learning, computer vision, and more.',
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/mr-r0ot/DeeperAI",
    author="Muhammad Taha Gorji",
    author_email="MohammadTahaGorjiProfile@gmail.com",
    packages=find_packages(),
    install_requires=[
        'rich>=10.0.0',
        'requests>=2.25.1',
        'beautifulsoup4>=4.9.3',
        'googlesearch-python>=1.1.0',
        'Pillow>=8.0.0',
        'torch>=1.8.0',
        'nltk>=3.6.0',
        'joblib>=1.0.1',
        'spacy>=3.0.0',
        'numpy>=1.19.2',
        'matplotlib>=3.3.3',
        'opencv-python>=4.5.1.48',
        'transformers>=4.0.0',
        'langdetect>=1.0.8',
        'textblob>=0.15.3',
        'scikit-learn>=0.24.1',
        'tensorflow>=2.4.1',
        'selenium>=3.141.0',
        'scipy>=1.5.2',
    ],
    classifiers=[
        'Programming Language :: Python :: 3',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',
)
